Skip to main content
GET
/
v2
/
beneficiaries
/
details
Fetch Beneficiary Details v2
curl --request GET \
  --url https://sandbox.api.fin.com/v2/beneficiaries/details \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "4c0c63db-580f-4e16-af24-e84ea8937dd8",
    "customer_id": "31526861-ebe0-4f84-a7b2-2c3ec1cc47f9",
    "active": true,
    "currency": "AUD",
    "country": "AUS",
    "account_holder": {
      "type": "INDIVIDUAL",
      "first_name": "Afroja",
      "last_name": "akter",
      "email": "afroja@example.com",
      "phone": "+61412345678"
    },
    "bank_account": {
      "bank_name": "Commonwealth Bank of Australia",
      "number": "123456782",
      "scheme": "LOCAL",
      "type": "BANK"
    },
    "bank_routing": [
      {
        "scheme": "BANK_IDENTIFIER",
        "name": "AUS BANK"
      }
    ],
    "receiver_meta_data": {
      "transaction_purpose_id": 1,
      "transaction_purpose_remarks": "Send to Family & Friends",
      "occupation_id": 504,
      "occupation_remarks": "Software quality assurance analyst and tester",
      "relationship": "FAMILY_MEMBER",
      "relationship_remarks": "Family & Friends",
      "nationality": "AUS"
    },
    "bank_address": {
      "street_line_1": "Ground Floor Tower 1, 201 Sussex Street",
      "city": "Sydney",
      "state": "AU-SA",
      "postcode": "2000",
      "country": "AUS"
    },
    "account_holder_address": {
      "street_line_1": "42 Wallaby Way",
      "city": "Queensland",
      "state": "AU-SA",
      "postcode": "2000",
      "country": "AUS"
    },
    "developer_fee": {
      "fixed": 1.25,
      "percentage": 0.45
    },
    "deposit_instruction": {
      "currency": "USDC",
      "rail": "POLYGON",
      "liquidation_address": "0xc0470baa27e383a570226298f598fac0612f1143"
    },
    "refund_instruction": {
      "wallet_address": "0x1b577931C1cC2765024bFbafad97bCe14FF2e87F",
      "currency": "USDC",
      "rail": "POLYGON"
    },
    "settlement_config": {
      "auto_settlement": false
    },
    "created_at": "2025-12-31T14:29:07.100041Z",
    "updated_at": "2025-12-31T14:29:08.675022Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Obtain token from /v1/oauth/token endpoint

Query Parameters

customer_id
string<uuid>
required

Unique identifier for the customer

beneficiary_id
string<uuid>
required

Unique identifier for the beneficiary

Response

Beneficiary details retrieved successfully

data
object